Subject: [bug#54644] [PATCH 4/7] gnu: rust-minimal-lexical 0.2: Update to 0.2.1.

From: Evgenii Lepikhin <[email-masked]>
Date: Fri, 01 Apr 2022 16:51:30 +0300

Hello there,

On 2022-04-01 08:38, Maxime Devos wrote:

>> nom-7.0 is not forward compatible with nom-7.1. I need 7.1 for future
>> contributions and this is why I added it into patchset.
>
> Related: to reduce duplication, you can do

Thank you, nice idea.

> Also, if semver is used here, nom-7.0 is compatible with nom-7.1 (not
> sure about the terminology here -- forwards? backwards?, but updating
> it shouldn't cause any problems if semver is followed correctlu).

That's right, 7.1 is compatible with 7.0.

>> In developer's manifest of nom-7.1 dependency on rust-minimal-lexical
>> has been updated from 0.1 to 0.2. For both versions dependencies on
>> exact versions on rust-minimal-lexical are pinned by crate developers
>> and we cannot change it at will

I was wrong, all dependent on nom-7 packages successfully compiled with 7.1.

Could you advise on sending a new version of the patches, please? Should I create a completely new patchset with separate patches for each package individually or just one patch with all the fixes is enough now?

--